Expire a Checkout Session
curl --request POST \
--url https://api.getivy.de/api/service/checkout/session/expire \
--header 'Content-Type: application/json' \
--header 'X-Ivy-Api-Key: <api-key>' \
--data '
{
"id": "<string>"
}
'import requests
url = "https://api.getivy.de/api/service/checkout/session/expire"
payload = { "id": "<string>" }
headers = {
"X-Ivy-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Ivy-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '<string>'})
};
fetch('https://api.getivy.de/api/service/checkout/session/expire', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"price": {
"total": 1.01,
"currency": "EUR",
"subTotal": 123,
"shipping": 123,
"totalNet": 123,
"vat": 123
},
"appId": "<string>",
"merchantAppId": "<string>",
"merchant": {
"id": "<string>",
"appId": "<string>",
"legalName": "<string>",
"address": {
"line1": "<string>",
"city": "<string>",
"zipCode": "<string>",
"country": "AF",
"firstName": "<string>",
"lastName": "<string>",
"line2": "<string>",
"region": "<string>"
}
},
"lineItems": [
{
"name": "<string>",
"singleNet": 123,
"singleVat": 123,
"amount": 123,
"referenceId": "<string>",
"quantity": 1,
"image": "<string>",
"category": "5045",
"EAN": "<string>",
"co2Grams": 1
}
],
"expiresAt": 123,
"created": 123,
"status": "open",
"referenceId": "<string>",
"displayId": "<string>",
"redirectUrl": "<string>",
"successCallbackUrl": "<string>",
"errorCallbackUrl": "<string>",
"market": "AF",
"availableMarkets": [
"AF"
],
"express": true,
"paymentMode": "direct",
"handshake": true,
"guest": true,
"disableBankSelection": true,
"plugin": "<string>",
"prefill": {
"bankId": "<string>"
},
"locale": "de",
"required": {
"phone": true
},
"offsetProject": "<string>",
"impactOffsetProjects": [
"<string>"
],
"shopLogo": "<string>",
"shopName": "<string>",
"customer": {
"id": "<string>"
},
"incentiveMode": "<string>",
"shippingMethods": [
"<unknown>"
],
"selectedShippingMethodId": "<string>",
"metadata": {},
"category": "<string>",
"abortReason": "<string>",
"billingAddress": {
"line1": "<string>",
"city": "<string>",
"zipCode": "<string>",
"country": "AF",
"firstName": "<string>",
"lastName": "<string>",
"line2": "<string>",
"region": "<string>"
},
"shippingAddress": {
"line1": "<string>",
"city": "<string>",
"zipCode": "<string>",
"country": "AF",
"firstName": "<string>",
"lastName": "<string>",
"line2": "<string>",
"region": "<string>"
},
"quoteCallbackUrl": "<string>",
"completeCallbackUrl": "<string>",
"createdAt": "<unknown>",
"updatedAt": "<unknown>",
"subaccountId": "<string>",
"paymentSchemeSelection": "instant_preferred"
}Checkout
Expire a Checkout Session
Expire a Checkout Session by Ivy id. By expiring a Checkout Session, users will not be able to access this Checkout Session anymore.
POST
/
api
/
service
/
checkout
/
session
/
expire
Expire a Checkout Session
Authorizations
API key for authentication
Headers
Idempotency key for safe retries. Reusing a key with an identical request body returns the cached response. Reusing a key with a different body returns 409.
Body
application/json
The checkout session id to expire. By expiring a Checkout Session, users will not be able to access this Checkout Session anymore.
Response
200 - application/json
Returns the expired checkout session
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
open, closed, expired Available options:
AF, AL, DZ, AS, AD, AO, AI, AQ, AG, AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BA, BW, BV, BR, IO, BN, BG, BF, BI, KH, CM, CA, CV, KY, CF, TD, CL, CN, CX, CC, CO, KM, CG, CD, CK, CR, CI, HR, CU, CY, CZ, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, ET, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GN, GW, GY, HT, HM, VA, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IL, IT, JM, JP, JO, KZ, KE, KI, KP, KR, KW, KG, LA, LV, LB, LS, LR, LY, LI, LT, LU, MO, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, FM, MD, MC, MN, MS, MA, MZ, MM, NA, NR, NP, NL, NC, NZ, NI, NE, NG, NU, NF, MP, MK, NO, OM, PK, PW, PS, PA, PG, PY, PE, PH, PN, PL, PT, PR, QA, RE, RO, RU, RW, SH, KN, LC, PM, VC, WS, SM, ST, SA, SN, SC, SL, SG, SK, SI, SB, SO, ZA, GS, ES, LK, SD, SR, SJ, SZ, SE, CH, SY, TW, TJ, TZ, TH, TL, TG, TK, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, GB, US, UM, UY, UZ, VU, VE, VN, VG, VI, WF, EH, YE, ZM, ZW, AX, BQ, CW, GG, IM, JE, ME, BL, MF, RS, SX, SS, XK Available options:
AF, AL, DZ, AS, AD, AO, AI, AQ, AG, AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BA, BW, BV, BR, IO, BN, BG, BF, BI, KH, CM, CA, CV, KY, CF, TD, CL, CN, CX, CC, CO, KM, CG, CD, CK, CR, CI, HR, CU, CY, CZ, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, ET, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GN, GW, GY, HT, HM, VA, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IL, IT, JM, JP, JO, KZ, KE, KI, KP, KR, KW, KG, LA, LV, LB, LS, LR, LY, LI, LT, LU, MO, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, FM, MD, MC, MN, MS, MA, MZ, MM, NA, NR, NP, NL, NC, NZ, NI, NE, NG, NU, NF, MP, MK, NO, OM, PK, PW, PS, PA, PG, PY, PE, PH, PN, PL, PT, PR, QA, RE, RO, RU, RW, SH, KN, LC, PM, VC, WS, SM, ST, SA, SN, SC, SL, SG, SK, SI, SB, SO, ZA, GS, ES, LK, SD, SR, SJ, SZ, SE, CH, SY, TW, TJ, TZ, TH, TL, TG, TK, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, GB, US, UM, UY, UZ, VU, VE, VN, VG, VI, WF, EH, YE, ZM, ZW, AX, BQ, CW, GG, IM, JE, ME, BL, MF, RS, SX, SS, XK Available options:
direct, settlement Show child attributes
Show child attributes
Available options:
de, nl, en, fr, es, fi, it, pt, sv, pl, sk, lt Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
instant_preferred, standard, instant_only Was this page helpful?